# Protocol Config

### MAX\_FEE <a href="#max_fee" id="max_fee"></a>

Returns Max fee (1 = 0.01%)

### MAX\_PRICE <a href="#max_price" id="max_price"></a>

Returns Max price (FORE)

### marketConfig <a href="#marketconfig" id="marketconfig"></a>

Returns address of current market configuration*Configuration for created market is immutable. New configuration will be used only in newly created markets*

### foundationWallet <a href="#foundationwallet" id="foundationwallet"></a>

Returns address of foundation account

### revenueWallet <a href="#revenuewallet" id="revenuewallet"></a>

Returns address of revenue account

### highGuard <a href="#highguard" id="highguard"></a>

Returns address of high guard account

### marketplace <a href="#marketplace" id="marketplace"></a>

Returns address of marketplace account

### foreToken <a href="#foretoken" id="foretoken"></a>

Returns address of fore token contract

### foreVerifiers <a href="#foreverifiers" id="foreverifiers"></a>

Returns address of foreVerifiers contract

### marketCreationPrice <a href="#marketcreationprice" id="marketcreationprice"></a>

Returns market creation price (in FORE) (wei)

### verifierMintPrice <a href="#verifiermintprice" id="verifiermintprice"></a>

Returns minting verifiers NFT price (in FORE) (wei)

### setMarketConfig <a href="#setmarketconfig" id="setmarketconfig"></a>

Updates current configurationInput/OutputData TypeVariable NameCommentinputuint256verifierMintPriceP​inputuint256disputePriceP​inputuint256creationPriceP​inputuint256reportPeriodP​inputuint256verificationPeriodP​inputuint256burnFeeP​inputuint256foundationFeeP​inputuint256revenueFeeP​inputuint256marketCreatorFeeP​inputuint256verificationFeeP​

### setFoundationWallet <a href="#setfoundationwallet" id="setfoundationwallet"></a>

Changes foundation accountInput/OutputData TypeVariable NameCommentinputaddress\_newAddrNew address

### setRevenueWallet <a href="#setrevenuewallet" id="setrevenuewallet"></a>

Changes revenue accountInput/OutputData TypeVariable NameCommentinputaddress\_newAddrNew address

### setHighGuard <a href="#sethighguard" id="sethighguard"></a>

Changes high guard accountInput/OutputData TypeVariable NameCommentinputaddress\_newAddrNew address

### setMarketplace <a href="#setmarketplace" id="setmarketplace"></a>

Changes marketplace contract addressInput/OutputData TypeVariable NameCommentinputaddress\_newAddrNew address

### setVerifierMintPrice <a href="#setverifiermintprice" id="setverifiermintprice"></a>

Changes verifier mint priceInput/OutputData TypeVariable NameCommentinputuint256\_amountPrice (FORE)

### setMarketCreationPrice <a href="#setmarketcreationprice" id="setmarketcreationprice"></a>

Changes market creation priceInput/OutputData TypeVariable NameCommentinputuint256\_amountPrice (FORE)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.foreprotocol.io/fore-protocol/documentation/developers/smart-contracts/protocol-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
